summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorDavid Reiss <dreiss@apache.org>2010-08-31 16:51:10 +0000
committerDavid Reiss <dreiss@apache.org>2010-08-31 16:51:10 +0000
commit618777d975d1e19d63b097db2d3817a701464044 (patch)
treecefae9505911ae6487d3639565efe7cf3822dd1c /bootstrap.sh
parent5f11084c060e1cfcb48285d4098fe416f9334fd6 (diff)
downloadthrift-618777d975d1e19d63b097db2d3817a701464044.tar.gz
THRIFT-500. A bunch of small changes to bootstrap.sh
- Use "set -e" instead of exit 1 - Separate libtoolize detection and execution - Reorder some programs to prevent spurious warnings git-svn-id: https://svn.apache.org/repos/asf/incubator/thrift/trunk@991241 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 52d5a5173..cda21dfcf 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -22,15 +22,21 @@
./cleanup.sh
(cd lib/php/src/ext/thrift_protocol && phpize)
-autoscan || exit 1
-aclocal -I ./aclocal || exit 1
-autoheader || exit 1
+set -e
+# libtoolize is called "glibtoolize" on OSX.
if libtoolize --version 1 >/dev/null 2>/dev/null; then
- libtoolize --copy --automake || exit 1
+ LIBTOOLIZE=libtoolize
elif glibtoolize --version 1 >/dev/null 2>/dev/null; then
- glibtoolize --copy --automake || exit 1
+ LIBTOOLIZE=glibtoolize
+else
+ echo >&2 "Couldn't find libtoolize!"
+ exit 1
fi
+autoscan
+$LIBTOOLIZE --copy --automake
+aclocal -I ./aclocal
+autoheader
autoconf
-automake -ac --add-missing --foreign || exit 1
+automake --copy --add-missing --foreign